> ## Documentation Index
> Fetch the complete documentation index at: https://docs.visotrust.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all risk advisories for a vendor by vendor ID



## OpenAPI

````yaml https://app.visotrust.com/v1/api-docs get /api/v1/vendors/{id}/risk-advisories
openapi: 3.1.0
info:
  title: VISO TRUST API Documentation
  description: VISO TRUST
  version: v1.0
servers:
  - url: https://app.visotrust.com
    description: Generated server url
security: []
externalDocs:
  description: VISO TRUST Support Documentation
  url: https://docs.visotrust.com/
paths:
  /api/v1/vendors/{id}/risk-advisories:
    get:
      tags:
        - client-api-risk-advisory-rest-resource
      summary: Get all risk advisories for a vendor by vendor ID
      operationId: getRiskAdvisoriesByVendorId
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: integer
            format: int64
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/RiskAdvisoryClientView'
components:
  schemas:
    RiskAdvisoryClientView:
      type: object
      properties:
        id:
          type: string
          format: uuid
        vendorOrgId:
          type: integer
          format: int64
        vendorOrgName:
          type: string
        vendorOrgDescription:
          type: string
        vendorOrgFaviconUrl:
          type: string
        type:
          type: string
          enum:
            - SECURITY
            - COMPLIANCE
            - VULNERABILITY
            - SEC_8K
            - LEGAL
            - GEOPOLITICAL
            - FINANCIAL
            - OPERATIONAL
        title:
          type: string
        description:
          type: string
        url:
          type: string
        publishedDate:
          type: string
          format: date
        material:
          type: boolean
        vendorName:
          type: string
        productName:
          type: string
        severity:
          type: number
          format: double
        remediation:
          type: string

````